## percona-toolkit 3.2.1

=== src/go/Makefile ===
help:                 ## Display this help message.
	@echo "Please use \`make <target>\` where <target> is one of:"
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | \
		awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'

GO := go
pkgs = $(shell find . -type d -name "pt-*" -exec basename {} \;)
VERSION=$(shell git describe --abbrev=0 --tags)
BUILD=$(shell date +%FT%T%z)
GOVERSION=$(shell go version | cut --delimiter=" " -f3)
COMMIT=$(shell git rev-list -1 HEAD)
GOUTILSDIR ?= $(GOPATH)/bin
FILES = $(shell find . -type f -name '*.go' -not -path "./vendor/*")

PREFIX=$(shell pwd)
TOP_DIR=$(shell git rev-parse --show-toplevel)
BIN_DIR=$(shell git rev-parse --show-toplevel)/bin
SRC_DIR=$(shell git rev-parse --show-toplevel)/src/go
LDFLAGS="-X main.Version=${VERSION} -X main.Build=${BUILD} -X main.GoVersion=${GOVERSION} -X main.Commit=${COMMIT} -s -w"

TEST_PSMDB_VERSION?=4.0
TEST_MONGODB_FLAVOR?=percona/percona-server-mongodb
TEST_MONGODB_ADMIN_USERNAME?=admin
TEST_MONGODB_ADMIN_PASSWORD?=admin123456
TEST_MONGODB_USERNAME?=test
TEST_MONGODB_PASSWORD?=123456

TEST_MONGODB_STANDALONE_PORT?=27017

TEST_MONGODB_MONGOS_PORT?=17000

TEST_MONGODB_S1_RS?=rs1
TEST_MONGODB_S1_PRIMARY_PORT?=17001
TEST_MONGODB_S1_SECONDARY1_PORT?=17002
TEST_MONGODB_S1_SECONDARY2_PORT?=17003

TEST_MONGODB_S2_RS?=rs2
TEST_MONGODB_S2_PRIMARY_PORT?=17004
TEST_MONGODB_S2_SECONDARY1_PORT?=17005
TEST_MONGODB_S2_SECONDARY2_PORT?=17006

TEST_MONGODB_CONFIGSVR_RS?=csReplSet
TEST_MONGODB_CONFIGSVR1_PORT?=17007
TEST_MONGODB_CONFIGSVR2_PORT?=17008
TEST_MONGODB_CONFIGSVR3_PORT?=17009

TEST_MONGODB_S3_RS?=rs3
TEST_MONGODB_S3_PRIMARY_PORT?=17021
TEST_MONGODB_S3_SECONDARY1_PORT?=17022
TEST_MONGODB_S3_SECONDARY2_PORT?=17023

AWS_ACCESS_KEY_ID?=
AWS_SECRET_ACCESS_KEY?=

MINIO_PORT=9000
MINIO_ACCESS_KEY_ID=example00000
MINIO_SECRET_ACCESS_KEY=secret00000
export MINIO_ACCESS_KEY_ID
export MINIO_SECRET_ACCESS_KEY

.PHONY: all style format build test vet tarball linux-amd64

$(GOUTILSDIR)/dep:
	go get -u github.com/golang/dep/cmd/dep

define TEST_ENV
	AWS_ACCESS_KEY_ID=$(AWS_ACCESS_KEY_ID) \
	AWS_SECRET_ACCESS_KEY=$(AWS_SECRET_ACCESS_KEY) \
	GOCACHE=$(GOCACHE) \
	GOLANG_DOCKERHUB_TAG=$(GOLANG_DOCKERHUB_TAG) \
	TEST_MONGODB_ADMIN_USERNAME=$(TEST_MONGODB_ADMIN_USERNAME) \
	TEST_MONGODB_ADMIN_PASSWORD=$(TEST_MONGODB_ADMIN_PASSWORD) \
	TEST_MONGODB_USERNAME=$(TEST_MONGODB_USERNAME) \
	TEST_MONGODB_PASSWORD=$(TEST_MONGODB_PASSWORD) \
	TEST_MONGODB_S1_RS=$(TEST_MONGODB_S1_RS) \
	TEST_MONGODB_STANDALONE_PORT=$(TEST_MONGODB_STANDALONE_PORT) \
	TEST_MONGODB_S1_PRIMARY_PORT=$(TEST_MONGODB_S1_PRIMARY_PORT) \
	TEST_MONGODB_S1_SECONDARY1_PORT=$(TEST_MONGODB_S1_SECONDARY1_PORT) \
	TEST_MONGODB_S1_SECONDARY2_PORT=$(TEST_MONGODB_S1_SECONDARY2_PORT) \
	TEST_MONGODB_S2_RS=$(TEST_MONGODB_S2_RS) \
	TEST_MONGODB_S2_PRIMARY_PORT=$(TEST_MONGODB_S2_PRIMARY_PORT) \
	TEST_MONGODB_S2_SECONDARY1_PORT=$(TEST_MONGODB_S2_SECONDARY1_PORT) \
	TEST_MONGODB_S2_SECONDARY2_PORT=$(TEST_MONGODB_S2_SECONDARY2_PORT) \
	TEST_MONGODB_S3_RS=$(TEST_MONGODB_S3_RS) \
	TEST_MONGODB_S3_PRIMARY_PORT=$(TEST_MONGODB_S3_PRIMARY_PORT) \
	TEST_MONGODB_S3_SECONDARY1_PORT=$(TEST_MONGODB_S3_SECONDARY1_PORT) \
	TEST_MONGODB_S3_SECONDARY2_PORT=$(TEST_MONGODB_S3_SECONDARY2_PORT) \
	TEST_MONGODB_CONFIGSVR_RS=$(TEST_MONGODB_CONFIGSVR_RS) \
	TEST_MONGODB_CONFIGSVR1_PORT=$(TEST_MONGODB_CONFIGSVR1_PORT) \
	TEST_MONGODB_CONFIGSVR2_PORT=$(TEST_MONGODB_CONFIGSVR2_PORT) \
	TEST_MONGODB_CONFIGSVR3_PORT=$(TEST_MONGODB_CONFIGSVR3_PORT) \
	TEST_MONGODB_MONGOS_PORT=$(TEST_MONGODB_MONGOS_PORT) \
	TEST_PSMDB_VERSION=$(TEST_PSMDB_VERSION) \
	TEST_MONGODB_FLAVOR=$(TEST_MONGODB_FLAVOR)
endef

env:
	@echo $(TEST_ENV) | tr ' ' '\n' >.env

env-up: env					## Start MongoDB docker containers cluster
	TEST_PSMDB_VERSION=$(TEST_PSMDB_VERSION) \
	docker-compose up \
	--detach \
	--force-recreate \
	--always-recreate-deps \
	--renew-anon-volumes \
	init 
	docker/test/init-cluster-wait.sh

env-down: env				## Clean-up MongoDB docker containers cluster
	docker-compose down -v
	rm .env

linux-amd64: 				## Build Mongo tools for linux-amd64
	@echo "Building linux/amd64 binaries in ${BIN_DIR}"
	@cd ${TOP_DIR} && dep ensure
	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)

linux-386: 					## Build Mongo tools for linux-386
	@echo "Building linux/386 binaries in ${BIN_DIR}"
	@cd ${TOP_DIR} && dep ensure
	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=386 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)

darwin-amd64:				## Build Mongo tools for darwin-amd64 (MacOS) 
	@echo "Building darwin/amd64 binaries in ${BIN_DIR}"
	@cd ${TOP_DIR} && dep ensure
	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
	@$(foreach pkg,$(pkgs),GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)

style:						## Check code style
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:						## Run tests
	@echo ">> running tests"
	@./runtests.sh

format:                         ## Format source code.
	gofmt -w -s $(FILES)
	goimports -local github.com/percona/pmm-managed -l -w $(FILES)

vet:						## Run vet on Go code
	@echo ">> vetting code"
	@$(foreach pkg,$(pkgs), cd $(TOP_DIR)/src/go/$(pkg); go vet ./... ;)

=== src/go/pt-secure-collect/Makefile ===
GO := go
pkgs   = $(shell basename `git rev-parse --show-toplevel`)
VERSION ?=$(shell git describe --abbrev=0)
BUILD ?=$(shell date +%FT%T%z)
GOVERSION ?=$(shell go version | cut --delimiter=" " -f3)
COMMIT ?=$(shell git rev-parse HEAD)
BRANCH ?=$(shell git rev-parse --abbrev-ref HEAD)
GOPATH ?=${HOME}/go

MAKE_TARS = ''
CUR_DIR=$(shell pwd)
BIN_DIR=${CUR_DIR}/build
SOURCES=collect encryptor pt-secure-collect
LDFLAGS="-X main.Version=${VERSION} -X main.Build=${BUILD} -X main.Commit=${COMMIT} -X main.Branch=${BRANCH} -X main.GoVersion=${GOVERSION} -s -w"

ifeq (${GOPATH},)
$(error GOPATH is not set)
endif

ifeq (,$(wildcard ${GOPATH}/src))
$(error Invalid GOPATH. There is no src dir in the GOPATH) 
endif

ifeq ($(findstring ${GOPATH},${CUR_DIR}), )
$(error Wrong directorry for the project. It must be in $GOPATH/github/Percona-Lab/pt-secure-collect)
endif

$(info )
$(info GOPATH..........: ${GOPATH})
$(info Build directory.: ${BIN_DIR})
$(info )

.PHONY: all style format build test vet tarball linux-amd64

default: prepare
	@$(info Cleaning old tar files in ${BIN_DIR})
	@rm -f ${BIN_DIR}/collect_*.tar.gz
	@echo
	@$(info Building in ${BIN_DIR})
	@go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/pt-secure-collect *.go

prepare:
	@$(info Checking if ${BIN_DIR} exists)
	@mkdir -p ${BIN_DIR}

all: clean darwin-amd64-tar linux-amd64-tar windows-amd64-tar

clean: prepare
	@$(info Cleaning binaries and tar.gz files in dir ${BIN_DIR})
	@rm -f ${BIN_DIR}/pt-secure-collect
	@rm -f ${BIN_DIR}/pt-secure-collect.exe
	@rm -f ${BIN_DIR}/pt-secure-collect_*.tar.gz

linux-amd64: prepare
	@echo "Building linux/amd64 binaries in ${BIN_DIR}"
	@GOOS=linux GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/pt-secure-collect *.go

linux-amd64-tar: linux-amd64
	@tar cvzf ${BIN_DIR}/pt-secure-collect_linux_amd64.tar.gz -C ${BIN_DIR} pt-secure-collect

darwin-amd64: 
	@echo "Building darwin/amd64 binaries in ${BIN_DIR}"
	@mkdir -p ${BIN_DIR}
	@GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/pt-secure-collect *.go

darwin-amd64-tar: darwin-amd64
	@tar cvzf ${BIN_DIR}/pt-secure-collect_darwin_amd64.tar.gz -C ${BIN_DIR} pt-secure-collect

windows-amd64: prepare
	@echo "Building windows/amd64 binaries in ${BIN_DIR}"
	@GOOS=windows GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/pt-secure-collect.exe *.go

windows-amd64-tar: windows-amd64
	@tar cvzf ${BIN_DIR}/pt-secure-collect_windows_amd64.tar.gz -C ${BIN_DIR} pt-secure-collect.exe

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running tests"
	@./runtests.sh

clean-tests:
	@$(info Cleaning up docker containers used for tests)
	@docker-compose down

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

=== debian/changelog ===
percona-toolkit (3.2.1-1) unstable; urgency=medium

  * New upstream release (3.2.1) 
  * debian/patches/01-fix-spelling-errors.diff: refreshed

 -- Dario Minnucci <midget@debian.org>  Sun, 30 Aug 2020 12:55:55 +0200

=== debian/control ===
Source: percona-toolkit
Section: utils
Priority: optional
Maintainer: Dario Minnucci <midget@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: perl
Standards-Version: 4.5.0
Homepage: https://www.percona.com/software/database-tools/percona-toolkit
Vcs-Git: https://salsa.debian.org/debian/percona-toolkit.git
Vcs-Browser: https://salsa.debian.org/debian/percona-toolkit

Package: percona-toolkit
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb, fdisk | util-linux (<< 2.29.2-3~)
Replaces: maatkit
Conflicts: maatkit
Description: Command-line tools for MySQL and system tasks
 Percona Toolkit is a collection of advanced command-line tools to
 perform a variety of MySQL and system tasks that are too difficult
 or complex to perform manually, including:
 .
  - Verify master and replica data consistency
  - Efficiently archive rows
  - Find duplicate indexes
  - Summarize MySQL servers
  - Analyze queries from logs and tcpdump
  - Collect vital system information when problems occur

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_installdocs:
	./debian/tools/create-upstream-release-notes.sh
	dh_installdocs
	rm -fv debian/RELEASENOTES

## percona-toolkit 3.2.1-1

=== debian/changelog ===
percona-toolkit (3.2.1) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Wed, 12 Aug 2020 21:07:34 +0000

## percona-toolkit 3.3.0-1

=== debian/changelog ===
percona-toolkit (3.3.0-1) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.3.0-1

 -- Percona Jenkins <jenkins@os-xenial-x64-3539>  Thu, 14 Jan 2021 12:58:54 +0000

percona-toolkit (3.3.0) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 14 Jan 2021 12:58:54 +0000

## percona-toolkit 3.3.1-1

=== debian/changelog ===
percona-toolkit (3.3.1-1) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.3.1-1

 -- Percona Jenkins <jenkins@os-xenial-x64-412>  Fri, 23 Apr 2021 07:27:59 +0000

percona-toolkit (3.3.1) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Fri, 23 Apr 2021 07:27:58 +0000

## percona-toolkit 3.4.0-3

=== src/go/Makefile ===
--- 
+++ 
@@ -1,29 +1,44 @@
+.PHONY: all style format build test vet tarball linux-amd64 clean help
+
 help:                 ## Display this help message.
 	@echo "Please use \`make <target>\` where <target> is one of:"
 	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | \
 		awk -F ':.*?## ' 'NF==2 {printf "  %-26s%s\n", $$1, $$2}'
+	@echo
+	@echo 'To build binaries use: VERSION=m.n.p make <target>'
+	@echo 'Example: VERSION=3.4.0 make linux-amd64'
+	@echo 'The binaries generation uses pwd command to set the base directory. Please run make from the same directory where the Makefile is located.'
+
+DATE_FMT = +%FT%T%z
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
+else
+    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
+endif
 
 GO := go
 pkgs = $(shell find . -type d -name "pt-*" -exec basename {} \;)
-VERSION=$(shell git describe --abbrev=0 --tags)
-BUILD=$(shell date +%FT%T%z)
+BUILD=$(BUILD_DATE)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
-COMMIT=$(shell git rev-list -1 HEAD)
 GOUTILSDIR ?= $(GOPATH)/bin
 FILES = $(shell find . -type f -name '*.go' -not -path "./vendor/*")
+PREFIX=$(shell pwd)
 
-PREFIX=$(shell pwd)
-TOP_DIR=$(shell git rev-parse --show-toplevel)
-BIN_DIR=$(shell git rev-parse --show-toplevel)/bin
-SRC_DIR=$(shell git rev-parse --show-toplevel)/src/go
+CUR_DIR=$(shell pwd)
+COMMIT=$(shell git rev-list -1 HEAD)
+
+TOP_DIR=${CUR_DIR}
+BIN_DIR=${CUR_DIR}/../../bin
+SRC_DIR=${CUR_DIR}/../../src/go
+
 LDFLAGS="-X main.Version=${VERSION} -X main.Build=${BUILD} -X main.GoVersion=${GOVERSION} -X main.Commit=${COMMIT} -s -w"
 
 TEST_PSMDB_VERSION?=4.0
 TEST_MONGODB_FLAVOR?=percona/percona-server-mongodb
 TEST_MONGODB_ADMIN_USERNAME?=admin
 TEST_MONGODB_ADMIN_PASSWORD?=admin123456
-TEST_MONGODB_USERNAME?=test
-TEST_MONGODB_PASSWORD?=123456
+TEST_MONGODB_USERNAME?=
+TEST_MONGODB_PASSWORD?=
 
 TEST_MONGODB_STANDALONE_PORT?=27017
 
@@ -58,7 +73,6 @@
 export MINIO_ACCESS_KEY_ID
 export MINIO_SECRET_ACCESS_KEY
 
-.PHONY: all style format build test vet tarball linux-amd64
 
 $(GOUTILSDIR)/dep:
 	go get -u github.com/golang/dep/cmd/dep
@@ -103,29 +117,27 @@
 	--detach \
 	--force-recreate \
 	--always-recreate-deps \
-	--renew-anon-volumes \
-	init 
-	docker/test/init-cluster-wait.sh
+	--renew-anon-volumes 
 
 env-down: env				## Clean-up MongoDB docker containers cluster
 	docker-compose down -v
 	rm .env
 
-linux-amd64: 				## Build Mongo tools for linux-amd64
-	@echo "Building linux/amd64 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && dep ensure
+linux-amd64: 				## Build Mongo tools for linux-amd64.
+	@echo "Building linux/amd64 binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
 linux-386: 					## Build Mongo tools for linux-386
-	@echo "Building linux/386 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && dep ensure
+	@echo "Building linux/386 binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=386 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
 darwin-amd64:				## Build Mongo tools for darwin-amd64 (MacOS) 
-	@echo "Building darwin/amd64 binaries in ${BIN_DIR}"
-	@cd ${TOP_DIR} && dep ensure
+	@echo "Building darwin/amd64 binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
@@ -138,8 +150,8 @@
 	@./runtests.sh
 
 format:                         ## Format source code.
-	gofmt -w -s $(FILES)
-	goimports -local github.com/percona/pmm-managed -l -w $(FILES)
+	gofumpt -w -s $(FILES)
+	gofumports -local github.com/percona/pmm-managed -l -w $(FILES)
 
 vet:						## Run vet on Go code
 	@echo ">> vetting code"

=== debian/changelog ===
percona-toolkit (3.4.0-3) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.4.0-3

 -- Percona Jenkins <toolkit-dev@percona.com>  Thu, 07 Jul 2022 19:02:36 +0000

percona-toolkit (3.4.0) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 07 Jul 2022 19:02:35 +0000

## percona-toolkit 3.5.0-2

=== debian/changelog ===
percona-toolkit (3.5.0-2) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.0-2

 -- Percona Jenkins <toolkit-dev@percona.com>  Fri, 25 Nov 2022 14:26:32 +0000

percona-toolkit (3.5.0) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Fri, 25 Nov 2022 14:26:32 +0000

## percona-toolkit 3.5.0-5

=== debian/changelog ===
percona-toolkit (3.5.0-5) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.0-5

 -- Percona Jenkins <toolkit-dev@percona.com>  Mon, 28 Nov 2022 18:46:32 +0000

## percona-toolkit 3.5.1-2

=== src/go/Makefile ===
--- 
+++ 
@@ -111,6 +111,7 @@
 env:
 	@echo $(TEST_ENV) | tr ' ' '\n' >.env
 
+# TODO: create envs specific to products: MySQL, PostgreSQL, MongoDB, K8
 env-up: env					## Start MongoDB docker containers cluster
 	TEST_PSMDB_VERSION=$(TEST_PSMDB_VERSION) \
 	docker-compose up \

=== debian/changelog ===
percona-toolkit (3.5.1-2) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.1-2

 -- Percona Jenkins <toolkit-dev@percona.com>  Fri, 20 Jan 2023 15:56:37 +0000

percona-toolkit (3.5.1) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Fri, 20 Jan 2023 15:56:37 +0000

## percona-toolkit 3.5.2-2

=== src/go/Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 
 GO := go
 pkgs = $(shell find . -type d -name "pt-*" -exec basename {} \;)
+# VERSION ?=$(shell git describe --abbrev=0) doesn't always work here, need to use git log
+VERSION ?=$(shell git log --no-walk --tags --pretty="%H %d" --decorate=short | head -n1 | awk  -F'[, ]' '{ print $$4; }')
 BUILD=$(BUILD_DATE)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
 GOUTILSDIR ?= $(GOPATH)/bin

=== src/go/pt-secure-collect/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 GO := go
 pkgs   = $(shell basename `git rev-parse --show-toplevel`)
-VERSION ?=$(shell git describe --abbrev=0)
+# VERSION ?=$(shell git describe --abbrev=0) doesn't always work here, need to use git log
+VERSION ?=$(shell git log --no-walk --tags --pretty="%H %d" --decorate=short | head -n1 | awk  -F'[, ]' '{ print $$4; }')
 BUILD ?=$(shell date +%FT%T%z)
 GOVERSION ?=$(shell go version | cut --delimiter=" " -f3)
 COMMIT ?=$(shell git rev-parse HEAD)

=== debian/changelog ===
percona-toolkit (3.5.2-2) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.5.2-2

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Tue, 28 Mar 2023 05:34:16 -0400

percona-toolkit (3.5.2) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Tue, 28 Mar 2023 05:34:16 -0400

## percona-toolkit 3.5.3-1

=== debian/changelog ===
percona-toolkit (3.5.3-1) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.3-1

 -- Percona Jenkins <toolkit-dev@percona.com>  Tue, 30 May 2023 17:04:06 +0000

percona-toolkit (3.5.3) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Tue, 30 May 2023 17:04:06 +0000

## percona-toolkit 3.5.4-2

=== src/go/Makefile ===
--- 
+++ 
@@ -17,9 +17,10 @@
 endif
 
 GO := go
+CP := )
 pkgs = $(shell find . -type d -name "pt-*" -exec basename {} \;)
 # VERSION ?=$(shell git describe --abbrev=0) doesn't always work here, need to use git log
-VERSION ?=$(shell git log --no-walk --tags --pretty="%H %d" --decorate=short | head -n1 | awk  -F'[, ]' '{ print $$4; }')
+VERSION ?=$(shell git log --no-walk --tags --pretty="%H %d" --decorate=short | head -n1 | awk  -F'[, $(CP)]' '{ print $$4; }')
 BUILD=$(BUILD_DATE)
 GOVERSION=$(shell go version | cut --delimiter=" " -f3)
 GOUTILSDIR ?= $(GOPATH)/bin

=== debian/changelog ===
percona-toolkit (3.5.4-2) unstable; urgency=low

  * Update to new upstream release Percona-Toolkit 3.5.4-2

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Thu, 29 Jun 2023 11:04:20 -0400

percona-toolkit (3.5.4) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Thu, 29 Jun 2023 11:04:20 -0400

## percona-toolkit 3.5.5-1

=== src/go/Makefile ===
--- 
+++ 
@@ -121,7 +121,7 @@
 	--detach \
 	--force-recreate \
 	--always-recreate-deps \
-	--renew-anon-volumes 
+	--renew-anon-volumes
 
 env-down: env				## Clean-up MongoDB docker containers cluster
 	docker-compose down -v
@@ -139,7 +139,7 @@
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=386 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
-darwin-amd64:				## Build Mongo tools for darwin-amd64 (MacOS) 
+darwin-amd64:				## Build Mongo tools for darwin-amd64 (MacOS)
 	@echo "Building darwin/amd64 binaries in ${BIN_DIR} as version ${VERSION}"
 	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)

=== debian/changelog ===
percona-toolkit (3.5.5-1) unstable; urgency=medium

  * Update to new upstream release Percona-Toolkit 3.5.5-1

 -- Percona Jenkins <toolkit-dev@percona.com>  Mon, 02 Oct 2023 10:49:08 +0000

percona-toolkit (3.5.5) unstable; urgency=low
  * Initial Release.
 -- Percona Toolkit Developers <toolkit-dev@percona.com>  Mon, 02 Oct 2023 10:49:08 +0000

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir
	perl Makefile.PL INSTALLDIRS=vendor
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/percona-toolkit
	rm -rf debian/percona-toolkit/usr/lib

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs Changelog
	dh_installdocs
	dh_install
	dh_installman
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: binary binary-arch binary-indep clean checkroot
override_dh_builddeb:
	dh_builddeb -- -Zgzip

## percona-toolkit 3.5.7

=== src/go/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # VERSION ?=$(shell git describe --abbrev=0) doesn't always work here, need to use git log
 VERSION ?=$(shell git log --no-walk --tags --pretty="%H %d" --decorate=short | head -n1 | awk  -F'[, $(CP)]' '{ print $$4; }')
 BUILD=$(BUILD_DATE)
-GOVERSION=$(shell go version | cut --delimiter=" " -f3)
+GOVERSION=$(shell go version | cut -d " " -f3)
 GOUTILSDIR ?= $(GOPATH)/bin
 FILES = $(shell find . -type f -name '*.go' -not -path "./vendor/*")
 PREFIX=$(shell pwd)
@@ -127,23 +127,35 @@
 	docker-compose down -v
 	rm .env
 
-linux-amd64: 				## Build Mongo tools for linux-amd64.
+linux-amd64: 				## Build Go tools for linux-amd64.
 	@echo "Building linux/amd64 binaries in ${BIN_DIR} as version ${VERSION}"
 	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
-linux-386: 					## Build Mongo tools for linux-386
+linux-386: 					## Build Go tools for linux-386
 	@echo "Building linux/386 binaries in ${BIN_DIR} as version ${VERSION}"
 	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=386 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
-darwin-amd64:				## Build Mongo tools for darwin-amd64 (MacOS)
+darwin-amd64:				## Build Go tools for darwin-amd64 (MacOS)
 	@echo "Building darwin/amd64 binaries in ${BIN_DIR} as version ${VERSION}"
 	@cd ${TOP_DIR} && go get ./...
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
+
+darwin-arm64:               ## Build Go tools for darwin-arm64 (MacOS)
+	@echo "Building darwin/arm64 binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
+	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
+	@$(foreach pkg,$(pkgs),GOOS=darwin GOARCH=arm64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
+
+build:						## Build Go tools for current platform
+	@echo "Building binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
+	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
+	@$(foreach pkg,$(pkgs),go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
 style:						## Check code style
 	@echo ">> checking code style"
@@ -153,7 +165,7 @@
 	@echo ">> running tests"
 	@./runtests.sh
 
-format:                         ## Format source code.
+format:                     ## Format source code.
 	gofumpt -w -s $(FILES)
 	gofumports -local github.com/percona/pmm-managed -l -w $(FILES)

## percona-toolkit 3.7.0

=== config/sphinx-build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../../docs/user
SOURCE        = ../../docs/user

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -c . -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCE)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	@echo "Downloading percona-theme ..."
	@wget -O percona-theme.tar.gz https://www.percona.com/docs/theme-1-4/percona-toolkit/2.2
	@rm -rf percona-theme
	@echo "Extracting theme."
	@tar -zxf percona-theme.tar.gz
	@mv percona-theme-1-4 percona-theme
	@rm percona-theme.tar.gz
	@echo "Building html doc"
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

thtml:
	@echo "Building html doc"
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) -c conf-material $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PerconaXtraBackup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PerconaXtraBackup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PerconaXtraBackup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PerconaXtraBackup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== src/go/Makefile ===
--- 
+++ 
@@ -133,6 +133,12 @@
 	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
 	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
 
+linux-arm64: 				## Build Go tools for linux-arm64.
+	@echo "Building linux/arm64 binaries in ${BIN_DIR} as version ${VERSION}"
+	@cd ${TOP_DIR} && go get ./...
+	@$(foreach pkg,$(pkgs),rm -f ${BIN_DIR}/$(pkg) 2> /dev/null;)
+	@$(foreach pkg,$(pkgs),GOOS=linux GOARCH=arm64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/$(pkg) ./$(pkg);)
+
 linux-386: 					## Build Go tools for linux-386
 	@echo "Building linux/386 binaries in ${BIN_DIR} as version ${VERSION}"
 	@cd ${TOP_DIR} && go get ./...

=== src/go/pt-secure-collect/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 ifeq (,$(wildcard ${GOPATH}/src))
-$(error Invalid GOPATH. There is no src dir in the GOPATH) 
+$(error Invalid GOPATH. There is no src dir in the GOPATH)
 endif
 
 ifeq ($(findstring ${GOPATH},${CUR_DIR}), )
@@ -59,7 +59,7 @@
 linux-amd64-tar: linux-amd64
 	@tar cvzf ${BIN_DIR}/pt-secure-collect_linux_amd64.tar.gz -C ${BIN_DIR} pt-secure-collect
 
-darwin-amd64: 
+darwin-amd64:
 	@echo "Building darwin/amd64 binaries in ${BIN_DIR}"
 	@mkdir -p ${BIN_DIR}
 	@GOOS=darwin GOARCH=amd64 go build -ldflags ${LDFLAGS} -o ${BIN_DIR}/pt-secure-collect *.go

## percona-toolkit 3.7.1

=== debian/changelog ===
percona-toolkit (3.7.1-1) unstable; urgency=medium

  * Implement package salvaging protocol (Closes: #1109157)
  * New upstream release (3.7.1) (Closes: #1091435)
  * d/p/01-fix-spelling-errors.diff: drop - fixed upstream.
  * d/p/00-fix-perl-shebang.diff: refresh for new version.
  * d/watch: Update to use api.github.com.
  * d/control: Update standards version and remove priority: optional.
  * d/control: Bump debhelper compatibility to 13.
  * d/copyright: Fix headers and update copyright entries.
  * d/upstream/metadata: Add upstream information.
  * Add golang-based tools to install
    - d/control: Add XS-Go-Import-Path, include go build dependencies, add
      static-built-using and swap package to architecture: any.
    - d/rules: Use dh-golang for go tools and skip pt-secure-collect build.
    - d/p/skip-go-makefile.patch: Skip running src/go Makefile.
    - d/p/use-standard-tabwriter-dependency.patch: Use standard text/tabwriter
      dependency instead of Ladicle/tabwriter unavailable in the archive.

 -- Lena Voytek <lena@voytek.dev>  Thu, 19 Feb 2026 12:28:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,49 @@
 Source: percona-toolkit
 Section: utils
-Priority: optional
-Maintainer: Dario Minnucci <midget@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: perl
-Standards-Version: 4.5.0
+Maintainer: Lena Voytek <lena@voytek.dev>
+Build-Depends: debhelper-compat (= 13),
+               dh-golang,
+               dh-sequence-golang,
+               golang-any,
+               golang-github-alecthomas-kong-dev,
+               golang-github-aleksi-pointer-dev,
+               golang-github-davecgh-go-spew-dev,
+               golang-github-go-ini-ini-dev,
+               golang-github-golang-mock-dev,
+               golang-github-google-go-cmp-dev,
+               golang-github-google-uuid-dev,
+               golang-github-hashicorp-go-version-dev,
+               golang-github-howeyc-gopass-dev,
+               golang-github-masterminds-semver-dev,
+               golang-github-mattn-go-shellwords-dev,
+               golang-github-montanaflynn-stats-dev,
+               golang-github-pborman-getopt-dev,
+               golang-github-pkg-errors-dev,
+               golang-github-rs-zerolog-dev,
+               golang-github-shirou-gopsutil-dev,
+               golang-github-sirupsen-logrus-dev,
+               golang-github-stretchr-testify-dev,
+               golang-github-xlab-treeprint-dev,
+               golang-golang-x-crypto-dev,
+               golang-golang-x-exp-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
+               golang-gopkg-mgo.v2-dev,
+               golang-gopkg-yaml.v2-dev,
+               golang-k8s-api-dev,
+               golang-k8s-utils-dev,
+               golang-mongodb-mongo-driver-dev,
+               golang-pq-dev,
+               perl
+Standards-Version: 4.7.3
 Homepage: https://www.percona.com/software/database-tools/percona-toolkit
 Vcs-Git: https://salsa.debian.org/debian/percona-toolkit.git
 Vcs-Browser: https://salsa.debian.org/debian/percona-toolkit
+XS-Go-Import-Path: github.com/percona/percona-toolkit
 
 Package: percona-toolkit
-Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb, fdisk | util-linux (<< 2.29.2-3~)
+Architecture: any
+Static-Built-Using: ${misc:Static-Built-Using}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libterm-readkey-perl, gdb, fdisk | util-linux (<< 2.29.2-3~)
 Replaces: maatkit
 Conflicts: maatkit
 Description: Command-line tools for MySQL and system tasks

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Skip pt-secure-collect build for now until go-mysql is added to the archive
export DH_GOLANG_EXCLUDES := src/go/pt-secure-collect

%:
	dh $@

# Override configure, build, install, and clean to run both perl and golang build systems.
# Using dh-golang in these steps allows for go dependencies to be brought in from the archive.
override_dh_auto_configure:
	dh_auto_configure --buildsystem=golang --builddirectory=_build
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build --buildsystem=golang --builddirectory=_build
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --buildsystem=golang --builddirectory=_build -- --no-source
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean --buildsystem=golang --builddirectory=_build
	dh_auto_clean

override_dh_golang:
	dh_golang --builddirectory=_build

override_dh_installdocs:
	./debian/tools/create-upstream-release-notes.sh
	dh_installdocs
	rm -fv debian/RELEASENOTES

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/percona/percona-toolkit/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
